window.onload = function () {
    // TODO:: Do your initialization job

    // add eventListener for tizenhwkey
    document.addEventListener('tizenhwkey', function(e) {
        if(e.keyName === "back") {
			try {
			    tizen.application.getCurrentApplication().exit();
			} catch (ignore) {
			}
		}
	});
    
    
    function onReceive(data) {	
    	console.log("Local port Listener Called");	
    	var msg="";
    	
        for (var i = 0; i < data.length; i++){			// Iterating key Value pairs like: [key1:{val1,val2},key2:{val2}]
            var keyX = data[i].key;
            console.log("key:" + keyX);
            msg+=keyX+': ';

            for (var j = 0; j < data[i].value.length; j++){
                var valueX = data[i].value[j];
                console.log("value:" + valueX);
                if (j === data[i].value.length-1){
                	msg+=valueX+ '.\n';
                }
                else {
                	msg+=valueX+ ', ';
				}
            }
       }
        
        alert(msg);         // show the msg in Wearable Display
    }
    
    function registerLocalPort(){
    	 var localPort = tizen.messageport.requestLocalMessagePort("CrossPort");	// Request LocalMessagePort Instance named "CrossPort"
    	 localPort.addMessagePortListener(onReceive);		// "onReceive" Callback Function to be invoked when msg is received by the Port
    	 console.log("Local port Listener Registered");
    }
    
  
    var textbox = document.querySelector('.contents');
    var isRegistered = 0;
    textbox.addEventListener("click", function(){
    	if(isRegistered === 0){		// To prevent multiple request
    		registerLocalPort();	
	    	
	    	var box = document.querySelector('#textbox');
	    	box.innerHTML = "Listening";	// UI change when Local port is Listening
	    	isRegistered = 1;
    	}
    });
    
};
